from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTasksSupplier(XInterface, Protocol):
    def getTasks(self) -> XEnumerationAccess: ...
    def getActiveTask(self) -> XTask: ...
